Module javafx.graphics
Package javafx.css

# Class SimpleStyleableDoubleProperty

java.lang.Object
javafx.beans.binding.NumberExpressionBase
javafx.beans.binding.DoubleExpression
javafx.beans.property.ReadOnlyDoubleProperty
javafx.beans.property.DoubleProperty
javafx.beans.property.DoublePropertyBase
javafx.css.StyleableDoubleProperty
javafx.css.SimpleStyleableDoubleProperty

All Implemented Interfaces:
  `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableDoubleValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableDoubleValue`, `WritableNumberValue`, `WritableValue<Number>`, `StyleableProperty<Number>`

public class SimpleStyleableDoubleProperty extends StyleableDoubleProperty
This class extends `SimpleDoubleProperty` and provides a full implementation of a `StyleableProperty`. This class is used to make a `DoubleProperty`, that would otherwise be implemented as a `SimpleDoubleProperty`, styleable by CSS.

Since:
  JavaFX 8.0
See Also:
  - `SimpleDoubleProperty`
  - `CssMetaData`
  - `StyleableProperty`
  - `StyleableDoubleProperty`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleStyleableDoubleProperty(CssMetaData<? extends Styleable,Number> cssMetaData)`
  The constructor of the `SimpleStyleableDoubleProperty`.
  `SimpleStyleableDoubleProperty(CssMetaData<? extends Styleable,Number> cssMetaData, Double initialValue)`
  The constructor of the `SimpleStyleableDoubleProperty`.
  `SimpleStyleableDoubleProperty(CssMetaData<? extends Styleable,Number> cssMetaData, Object bean, String name)`
  The constructor of the `SimpleStyleableDoubleProperty`.
  `SimpleStyleableDoubleProperty(CssMetaData<? extends Styleable,Number> cssMetaData, Object bean, String name, Double initialValue)`
  The constructor of the `SimpleStyleableDoubleProperty`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getBean()`
  Returns the `Object` that contains this property.
  `final CssMetaData<? extends Styleable,Number>`
  `getCssMetaData()`
  Reflect back the CssMetaData that corresponds to this `javafx.beans.property.StyleableProperty`
  `String`
  `getName()`
  Returns the name of this property.

  ### Methods declared in class javafx.css.StyleableDoubleProperty

  `applyStyle, getStyleOrigin`

  ### Methods declared in class javafx.beans.property.DoublePropertyBase

  `addListener, addListener, bind, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, set, toString, unbind`

  ### Methods declared in class javafx.beans.property.DoubleProperty

  `asObject, bindBidirectional, doubleProperty, setValue, unbindBidirectional`

  ### Methods declared in class javafx.beans.property.ReadOnlyDoubleProperty

  `readOnlyDoubleProperty`

  ### Methods declared in class javafx.beans.binding.DoubleExpression

  `add, add, add, add, add, divide, divide, divide, divide, divide, doubleExpression, doubleExpression, doubleValue, floatValue, getValue, intValue, longValue, multiply, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract, subtract`

  ### Methods declared in class javafx.beans.binding.NumberExpressionBase

  `asString, asString, asString, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, numberExpression`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.Observable

  `subscribe`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `flatMap, getValue, map, orElse, subscribe, subscribe, when`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### SimpleStyleableDoubleProperty

    public SimpleStyleableDoubleProperty(CssMetaData<? extends Styleable,Number> cssMetaData)
    The constructor of the `SimpleStyleableDoubleProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`

  - ### SimpleStyleableDoubleProperty

    public SimpleStyleableDoubleProperty(CssMetaData<? extends Styleable,Number> cssMetaData, Double initialValue)
    The constructor of the `SimpleStyleableDoubleProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
      `initialValue` - the initial value of the wrapped `Object`

  - ### SimpleStyleableDoubleProperty

    public SimpleStyleableDoubleProperty(CssMetaData<? extends Styleable,Number> cssMetaData, Object bean, String name)
    The constructor of the `SimpleStyleableDoubleProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
      `bean` - the bean of this `DoubleProperty`
      `name` - the name of this `DoubleProperty`

  - ### SimpleStyleableDoubleProperty

    public SimpleStyleableDoubleProperty(CssMetaData<? extends Styleable,Number> cssMetaData, Object bean, String name, Double initialValue)
    The constructor of the `SimpleStyleableDoubleProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
      `bean` - the bean of this `DoubleProperty`
      `name` - the name of this `DoubleProperty`
      `initialValue` - the initial value of the wrapped `Object`

- ## Method Details

  - ### getBean

    public Object getBean()
    Returns the `Object` that contains this property. If this property is not contained in an `Object`, `null` is returned.
    Returns:
      the containing `Object` or `null`

  - ### getName

    public String getName()
    Returns the name of this property. If the property does not have a name, this method returns an empty `String`.
    Returns:
      the name or an empty `String`

  - ### getCssMetaData

    public final CssMetaData<? extends Styleable,Number> getCssMetaData()
    Reflect back the CssMetaData that corresponds to this `javafx.beans.property.StyleableProperty`
    Returns:
      the corresponding CssMetaData